# StringTable

Property in [CompilationResult](/2.5/api/csharp/yarn.compiler/yarn.compiler.compilationresult.md)

## Summary

Gets a dictionary mapping line IDs to StringInfo objects.

```csharp
public IDictionary<string, StringInfo> StringTable { get; internal set; }
```

## Remarks

The string table contains the extracted line text found in the provided source code. The keys of this dictionary are the line IDs for each line - either through explicit line tags indicated through the `#line:` tag, or implicitly-generated line IDs that the compiler added during compilation.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.5/api/csharp/yarn.compiler/yarn.compiler.compilationresult/yarn.compiler.compilationresult.stringtable.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
